Package org.gradle.language

## Interface ComponentWithTargetMachines

- All Known Subinterfaces:
    `CppApplication`, `CppComponent`, `CppLibrary`, `CppTestSuite`, `ProductionCppComponent`, `ProductionSwiftComponent`, `SwiftApplication`, `SwiftComponent`, `SwiftLibrary`, `SwiftXCTestSuite`

      public interface ComponentWithTargetMachines

  Represents a component that targets multiple target machines.
  Since:
    5.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SetProperty<TargetMachine>` | `getTargetMachines()` | Specifies the target machines this component should be built for.

- - ### Method Detail

    - #### getTargetMachines

          SetProperty<TargetMachine> getTargetMachines()

      Specifies the target machines this component should be built for. The "machines" extension property (see `TargetMachineFactory`) can be used to construct common operating system and architecture combinations.

      For example:

           targetMachines = [machines.linux.x86_64, machines.windows.x86_64]

      Since:
        5.2